%define version_main   1.0.14
%define prever	       rc1
%define prever_dot    .%{prever}

Summary: The Advanced Linux Sound Architecture (ALSA) library.
Name:    alsa-lib
Version: %{version_main}
Release: 0.1%{?prever_dot}%{?dist}
License: LGPL
Group:   System Environment/Libraries
Source:  ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version_main}%{?prever}.tar.bz2
Patch:   alsa-lib-1.0.14rc1-config.patch
URL:     http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version_main}-root
BuildRequires: doxygen
Prereq:  /sbin/ldconfig, coreutils

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA runtime libraries to simplify application
programming and provide higher level functionality as well as support for
the older OSS API, providing binary compatibility for most OSS programs.

%package devel
Summary: Static libraries and header files from the ALSA library.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig
%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA development libraries for developing
against the ALSA libraries and interfaces.

%prep
%setup -q -n %{name}-%{version_main}%{?prever}
%patch -p1 -b .config

%build
%configure \
    CFLAGS="$RPM_OPT_FLAGS"\
    --enable-static=yes \
    --datadir=/etc
make %{?_smp_mflags}
make doc

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}/%{_lib}

mv %{buildroot}%{_libdir}/libasound.so.* %{buildroot}/%{_lib}
ln -snf ../../%{_lib}/libasound.so.2 %{buildroot}%{_libdir}/libasound.so

mv %{buildroot}/etc/aclocal %{buildroot}%{_datadir}

# install ainit binaries
echo "#!/bin/sh
" > ainit
install -m 755 ainit %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig

%triggerpostun -- alsa-lib < 1.0.6-2
ln -snf ../../etc/alsa %{_datadir}/alsa

%files
%defattr(-, root, root)
%doc COPYING ChangeLog TODO doc/asoundrc.txt
%{_bindir}/aserver
%{_bindir}/ainit
/%{_lib}/libasound.so.*
%{_libdir}/alsa-lib/smixer/*
%{_sysconfdir}/alsa
%config %{_sysconfdir}/alsa/alsa.conf

%files devel
%defattr(-, root, root)
%doc doc/doxygen
%{_includedir}/alsa
%{_includedir}/sys/asoundlib.h
%{_libdir}/libasound.so
%{_libdir}/libasound.a
%exclude %{_libdir}/libasound.la
%{_libdir}/pkgconfig/alsa.pc
%{_datadir}/aclocal/alsa.m4

%changelog
* Mon Mar 19 2007 Martin Stransky <stransky@redhat.com> 1.0.14-0.1.rc1
- new upstream

* Mon Oct 9 2006 Martin Stransky <stransky@redhat.com> 1.0.12-1
- updated to 1.0.12, removed ainit (it's no longer needed)

* Thu Jun 1 2006 Martin Stransky <stransky@redhat.com> 1.0.11-4.rc2
- fixed releasing shared semaphore

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.11-3.rc2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.11-3.rc2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 3 2006 Martin Stransky <stransky@redhat.com> 1.0.11-3.rc2
- fix for #179446 - don't remove old SHM memory/keys during login

* Fri Jan 13 2006 Martin Stransky <stransky@redhat.com> 1.0.11-2.rc2
- fix for #169729 - Kernel update makes snd-atiixp-modem & slmodemd fail
- new ainit (0.7) should fix some problems with root users

* Tue Jan 12 2006 Martin Stransky <stransky@redhat.com> 1.0.11-1.rc2
- new upstream version

* Tue Jan  3 2006 Jesse Keating <jkeating@redhat.com> 1.0.10rf-4
- rebuilt

* Fri Dec 9 2005 Martin Stransky <stransky@redhat.com> 1.0.10rf-3
- rights for shared memory have been moved to config files

* Fri Dec 2 2005 Martin Stransky <stransky@redhat.com> 1.0.10rf-2
- fix in spec file (#159046)

* Thu Nov 24 2005 Martin Stransky <stransky@redhat.com> 1.0.10rf-1
- new upstream version

* Tue Sep 27 2005 Martin Stransky <stransky@redhat.com> 1.0.10rc1-2
- fixes in config files, new ainit (for #166086)

* Tue Sep 27 2005 Martin Stransky <stransky@redhat.com> 1.0.10rc1-1
- new upstream version

* Wed Jul 20 2005 Martin Stransky <stransky@redhat.com> 1.0.9rf-3
- check for /var/run/console/console.lock (#162982)

* Thu Jun 16 2005 Martin Stransky <stransky@redhat.com> 1.0.9rf-2
- fix for #159411

* Mon May 30 2005 Martin Stransky <stransky@redhat.com> 1.0.9rf-1
- New upstream version
- moved alsacard utility to alsa-utils

* Fri May 27 2005 Martin Stransky <stransky@redhat.com> 1.0.9rc4-2
- alsacard utility for s-c-s

* Tue May 24 2005 Bill Nottingham <notting@redhat.com> 1.0.9rc4-1
- update to 1.0.9rc4 (#157180, #158547)

* Wed May 18 2005 Martin Stransky <stransky@redhat.com> 1.0.9rc2-5
- fix for #130593
- new ainit (dmix/dsnoop is default only for cards which really need it)
- fix dsnoop
- add fix for mixer (from https://bugs.gentoo.org/attachment.cgi?id=58918)

* Wed May 04 2005 Than Ngo <than@redhat.com> 1.0.9rc2-4
- apply patch to fix artsd daemon crash #156592

* Tue May 3  2005 Martin Stransky <stransky@redhat.com> 1.0.9rc2-3
- fixed ainit (#156278, #156505)

* Thu Apr 28 2005 David Woodhouse <dwmw2@redhat.com> 1.0.9rc2-2
- Fix bogus use of fgetc() in ainit. (#156278)

* Fri Apr 22 2005 Martin Stransky <stransky@redhat.com> 1.0.9rc2-1
- updated to 1.0.9rc2
- add ainit tool 
- dmix is now default pcm device

* Mon Mar  7 2005 Martin Stransky <stransky@redhat.com> 1.0.8-4.devel
- gcc4 patch

* Wed Feb 15 2005 Martin Stransky <stransky@redhat.com> 1.0.8-3.devel
- add $RPM_OPT_FLAGS to CFLAGS

* Fri Feb 11 2005 Martin Stransky <stransky@redhat.com> 1.0.8-2.devel
- add alpha patch (#147388, thx to Sergey Tikhonov)
- fix alsa-mixer on ICH6 system (#146607)

* Wed Jan 26 2005 Martin Stransky <stransky@redhat.com> 1.0.8-1.devel
- update to 1.0.8
- temporarily removed alsa-lib-1.0.7-asym-config.patch

* Mon Jan 10 2005 Martin Stransky <stransky@redhat.com> 1.0.7-3.devel
- fix #144518 - stack protection control

* Sat Jan 08 2005 Colin Walters <walters@redhat.com> 1.0.7-2
- New patch alsa-lib-1.0.7-asym-config.patch, sets up asym
  in the default config file and makes it easy to make it
  the default via an environment variable.  Also increases the
  default dmix buffer variables.
- Mark /etc/alsa/alsa.conf as a config file, and use sysconfdir
  variable

* Thu Jan 06 2005 Colin Walters <walters@redhat.com> 1.0.7-1
- New upstream version

* Tue Nov 30 2004 Bill Nottingham <notting@redhat.com> 1.0.6-6
- fix bad assertion that trips up gstreamer (fixes GNOME bug #159647)
- undef gets in case it's a macro (#141423)

* Thu Oct 14 2004 Bill Nottingham <notting@redhat.com> 1.0.6-3
- move libraries & data to root fs, needed at boot time

* Mon Aug 30 2004 Bill Nottingham <notting@redhat.com> 1.0.6-1
- update to 1.0.6

* Fri Jul  2 2004 Bill Nottingham <notting@redhat.com> 1.0.5-1
- update to 1.0.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 17 2004 Colin Walters <walters@redhat.com> 1.0.4-1
- New upstream version

* Mon May 03 2004 Colin Walters <walters@redhat.com> 1.0.3a-2
- Add patch to avoid assert()ing on errors

* Thu Mar 11 2004 Bill Nottingham <notting@redhat.com> 1.0.3a-1
- update to 1.0.3a

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 28 2004 Bill Nottingham <notting@redhat.com> 1.0.2-1
- update to 1.0.2

* Thu Dec 11 2003 Bill Nottingham <notting@redhat.com> 1.0.0rc2-1
- update to 1.0.0rc2

* Mon Dec  1 2003 Bill Nottingham <notting@redhat.com> 0.9.8-3
- fix various specfile issues, including License: tag (#111153)

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 0.9.8-2
- fixed dependant libraries check on x86_64

* Mon Nov  4 2003 Bill Nottingham <notting@redhat.com> - 0.9.8-1
- initial build, modify spec file from Matthias Saou
